# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Zillion Template

game: Zillion
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Zillion:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  continues:
    # number of continues before game over
    # 
    # game over teleports you to your ship, keeping items and open doors
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 21
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-21: 0 # random value between 0 and 21
    vanilla: 50 # equivalent to 3
    infinity: 0 # equivalent to 21

  floppy_req:
    # how many floppy disks are required
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-8: 0 # random value between 0 and 8

  gun_levels:
    # Zillion gun power for the number of Zillion power ups you pick up
    # 
    # For "restrictive", Champ is the only one that can get Zillion gun power level 3.
    vanilla: 0
    balanced: 50
    low: 0
    restrictive: 0

  jump_levels:
    # jump levels for each character level
    # 
    # For "restrictive", Apple is the only one that can get jump level 3.
    vanilla: 0
    balanced: 50
    low: 0
    restrictive: 0

  randomize_alarms:
    # whether to randomize the locations of alarm sensors
    'false': 0
    'true': 50

  max_level:
    # the highest level you can get
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 3
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-3-8: 0 # random value between 3 and 8

  start_char:
    # which character you start with
    jj: 0
    apple: 0
    champ: 0
    random: 50

  opas_per_level:
    # how many Opa-Opas are required to level up
    # 
    # Lower makes you level up faster.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 5
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-5: 0 # random value between 1 and 5

  early_scope:
    # make sure Scope is available early
    'false': 50
    'true': 0

  skill:
    # the difficulty level of the game
    # 
    # higher skill:
    # - can require more precise platforming movement
    # - lowers your defense
    # - gives you less time to escape at the end
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  starting_cards:
    # how many ID Cards to start the game with
    # 
    # Refilling at the ship also ensures you have at least this many cards.
    # 0 gives vanilla behavior.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10
    vanilla: 0 # equivalent to 0

  map_gen:
    # - none: vanilla map
    # - rooms: random terrain inside rooms, but path through base is vanilla
    # - full: random path through base
    none: 50
    rooms: 0
    full: 0

  priority_dead_ends:
    # Single locations that are in a dead end behind a door
    # (example: vanilla Apple location)
    # are prioritized for progression items.
    'false': 0
    'true': 50

  ###############
  # item counts #
  ###############
  id_card_count:
    # how many ID Cards are in the game
    # 
    # Vanilla is 63
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    42: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  bread_count:
    # how many Breads are in the game
    # 
    # Vanilla is 33
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    50: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  opa_opa_count:
    # how many Opa-Opas are in the game
    # 
    # Vanilla is 26
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    26: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  zillion_count:
    # how many Zillion gun power ups are in the game
    # 
    # Vanilla is 6
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  floppy_disk_count:
    # how many Floppy Disks are in the game
    # 
    # Vanilla is 5
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    7: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  scope_count:
    # how many Scopes are in the game
    # 
    # Vanilla is 4
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  red_id_card_count:
    # how many Red ID Cards are in the game
    # 
    # Vanilla is 1
    # 
    # maximum total for all items is 144
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 126
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-126: 0 # random value between 0 and 126

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
